## perlpanel 0.9.0

=== Makefile ===
# This file is part of PerlPanel.
# 
# PerlPanel is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# PerlPanel is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with PerlPanel; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
#
# Copyright: (C) 2003-2004 Gavin Brown <gavin.brown@uk.com>
#
# $Id: Makefile,v 1.48 2004/12/13 13:43:33 jodrell Exp $

VERSION=0.9.0

PREFIX=/usr/local
LIBDIR=$(PREFIX)/lib/perlpanel
BINDIR=$(PREFIX)/bin
DATADIR=$(PREFIX)/share
MANDIR=$(DATADIR)/man
LOCALEDIR=$(DATADIR)/locale
CONFDIR=$(PREFIX)/etc

LC_CATEGORY=LC_MESSAGES

MAN_SECTION=man1
MAN_LIBS_SECTION=man3

#
# NB: $(DESTDIR) is usally empty. rpmbuild needs it.
#

all: perlpanel

perlpanel:
	@mkdir -p build

	perl -ne 's!\@PREFIX\@!$(PREFIX)!g ; s!\@LIBDIR\@!$(LIBDIR)!g ; print' < src/perlpanel > build/perlpanel
	perl -ne 's!\@PREFIX\@!$(PREFIX)!g ; s!\@LIBDIR\@!$(LIBDIR)!g ; print' < src/perlpanel-item-edit > build/perlpanel-item-edit
	perl -ne 's!\@PREFIX\@!$(PREFIX)!g ; s!\@LIBDIR\@!$(LIBDIR)!g ; print' < src/perlpanel-run-dialog > build/perlpanel-run-dialog
	perl -ne 's!\@PREFIX\@!$(PREFIX)!g ; s!\@LIBDIR\@!$(LIBDIR)!g ; print' < src/perlpanel-applet-install > build/perlpanel-applet-install
	perl -ne 's!\@VERSION\@!$(VERSION)!g ; print' < lib/PerlPanel.pm > build/PerlPanel.pm
	perl -I$(PWD)/build -MPerlPanel -MXML::Simple -e 'print XMLout(\%PerlPanel::DEFAULTS)' > build/perlpanelrc
	pod2man doc/perlpanel.pod		| gzip -c > build/perlpanel.1.gz
	pod2man doc/perlpanel-applet-howto.pod	| gzip -c > build/perlpanel-applet-howto.1.gz
	pod2man doc/perlpanel-run-dialog.pod	| gzip -c > build/perlpanel-run-dialog.1.gz
	pod2man doc/perlpanel-item-edit.pod	| gzip -c > build/perlpanel-item-edit.1.gz
	pod2man lib/PerlPanel/MenuBase.pm	| gzip -c > build/PerlPanel::MenuBase.3.gz
	pod2man lib/PerlPanel/DesktopEntry.pm	| gzip -c > build/PerlPanel::DesktopEntry.3.gz

	@# similarly for other locales as they become available:
	mkdir -p  build/locale/en/$(LC_CATEGORY)
	msgfmt -o build/locale/en/$(LC_CATEGORY)/perlpanel.mo src/po/en.po
	mkdir -p  build/locale/de/$(LC_CATEGORY)
	msgfmt -o build/locale/de/$(LC_CATEGORY)/perlpanel.mo src/po/de.po

install:
	mkdir -p	$(DESTDIR)/$(LIBDIR) \
			$(DESTDIR)/$(BINDIR) \
			$(DESTDIR)/$(MANDIR)/$(MAN_SECTION) \
			$(DESTDIR)/$(MANDIR)/$(MAN_LIBS_SECTION) \
			$(DESTDIR)/$(LOCALEDIR)/en/$(LC_CATEGORY) \
			$(DESTDIR)/$(LOCALEDIR)/de/$(LC_CATEGORY) \
			$(DESTDIR)/$(CONFDIR)

	@echo Copying library files to $(DESTDIR)/$(LIBDIR):
	@cp -Rp lib/*	$(DESTDIR)/$(LIBDIR)/
	@echo Copying share files to $(DESTDIR)/$(DATADIR):
	@cp -Rp share/*	$(DESTDIR)/$(DATADIR)/

	find $(DESTDIR)/$(LIBDIR) -type f -exec chmod 755 "{}" \;
	find $(DESTDIR)/$(DATADIR) -type f -exec chmod 644 "{}" \;

	install -m 0755 build/perlpanel				$(DESTDIR)/$(BINDIR)/
	install -m 0755 build/perlpanel-item-edit 		$(DESTDIR)/$(BINDIR)/
	install -m 0755 build/perlpanel-run-dialog		$(DESTDIR)/$(BINDIR)/
	install -m 0755 build/perlpanel-applet-install		$(DESTDIR)/$(BINDIR)/
	install -m 0644 build/PerlPanel.pm			$(DESTDIR)/$(LIBDIR)/
	install -m 0755 build/perlpanel.1.gz			$(DESTDIR)/$(MANDIR)/$(MAN_SECTION)/
	install -m 0755 build/perlpanel-applet-howto.1.gz	$(DESTDIR)/$(MANDIR)/$(MAN_SECTION)/
	install -m 0755 build/perlpanel-item-edit.1.gz		$(DESTDIR)/$(MANDIR)/$(MAN_SECTION)/
	install -m 0755 build/perlpanel-run-dialog.1.gz		$(DESTDIR)/$(MANDIR)/$(MAN_SECTION)/
	install -m 0755 build/PerlPanel::MenuBase.3.gz		$(DESTDIR)/$(MANDIR)/$(MAN_LIBS_SECTION)/
	install -m 0755 build/PerlPanel::DesktopEntry.3.gz	$(DESTDIR)/$(MANDIR)/$(MAN_LIBS_SECTION)/
	install -m 0644 build/locale/en/$(LC_CATEGORY)/perlpanel.mo $(DESTDIR)/$(LOCALEDIR)/en/$(LC_CATEGORY)/
	install -m 0644 build/locale/de/$(LC_CATEGORY)/perlpanel.mo $(DESTDIR)/$(LOCALEDIR)/de/$(LC_CATEGORY)/

	@echo Installing default rcfile:
	@if [ -e $(DESTDIR)/$(CONFDIR)/perlpanelrc ] ; then \
		echo Note: old $(DESTDIR)/$(CONFDIR)/perlpanelrc has not been overwritten, default has been installed to $(DESTDIR)/$(CONFDIR)/perlpanelrc.default.; \
		install -m 0644 build/perlpanelrc	$(DESTDIR)/$(CONFDIR)/perlpanelrc.default; \
	else \
		install -m 0644 build/perlpanelrc	$(DESTDIR)/$(CONFDIR)/; \
	fi

clean:
	rm -rf build PerlPanel.spec

uninstall:
	rm -rf	$(BINDIR)/perlpanel \
		$(BINDIR)/perlpanel-item-edit \
		$(BINDIR)/perlpanel-run-dialog \
		$(BINDIR)/perlpanel-applet-install \
		$(MANDIR)/$(MAN_SECTION)/perlpanel.1.gz \
		$(MANDIR)/$(MAN_SECTION)/perlpanel-applet-howto.1.gz \
		$(MANDIR)/$(MAN_SECTION)/perlpanel-item-edit.1.gz \
		$(MANDIR)/$(MAN_SECTION)/perlpanel-run-dialog.1.gz \
		$(MANDIR)/$(MAN_LIBS_SECTION)/PerlPanel::MenuBase.3.gz \
		$(MANDIR)/$(MAN_LIBS_SECTION)/PerlPanel::DesktopEntry.3.gz \
		$(DATADIR)/perlpanel \
		$(DATADIR)/pixmaps/perlpanel* \
		$(LIBDIR) \
		$(LOCALEDIR)/*/$(LC_CATEGORY)/perlpanel.mo \

release:
	src/make-rpm $(VERSION)

## perlpanel 0.9.1+cvs20051225

=== Makefile ===
--- 
+++ 
@@ -17,9 +17,9 @@
 #
 # Copyright: (C) 2003-2004 Gavin Brown <gavin.brown@uk.com>
 #
-# $Id: Makefile,v 1.48 2004/12/13 13:43:33 jodrell Exp $
+# $Id: Makefile,v 1.51 2005/04/14 14:49:04 jodrell Exp $
 
-VERSION=0.9.0
+VERSION=0.9.1
 
 PREFIX=/usr/local
 LIBDIR=$(PREFIX)/lib/perlpanel
@@ -27,7 +27,7 @@
 DATADIR=$(PREFIX)/share
 MANDIR=$(DATADIR)/man
 LOCALEDIR=$(DATADIR)/locale
-CONFDIR=$(PREFIX)/etc
+CONFDIR=/etc
 
 LC_CATEGORY=LC_MESSAGES
 
@@ -49,12 +49,12 @@
 	perl -ne 's!\@PREFIX\@!$(PREFIX)!g ; s!\@LIBDIR\@!$(LIBDIR)!g ; print' < src/perlpanel-applet-install > build/perlpanel-applet-install
 	perl -ne 's!\@VERSION\@!$(VERSION)!g ; print' < lib/PerlPanel.pm > build/PerlPanel.pm
 	perl -I$(PWD)/build -MPerlPanel -MXML::Simple -e 'print XMLout(\%PerlPanel::DEFAULTS)' > build/perlpanelrc
-	pod2man doc/perlpanel.pod		| gzip -c > build/perlpanel.1.gz
-	pod2man doc/perlpanel-applet-howto.pod	| gzip -c > build/perlpanel-applet-howto.1.gz
-	pod2man doc/perlpanel-run-dialog.pod	| gzip -c > build/perlpanel-run-dialog.1.gz
-	pod2man doc/perlpanel-item-edit.pod	| gzip -c > build/perlpanel-item-edit.1.gz
-	pod2man lib/PerlPanel/MenuBase.pm	| gzip -c > build/PerlPanel::MenuBase.3.gz
-	pod2man lib/PerlPanel/DesktopEntry.pm	| gzip -c > build/PerlPanel::DesktopEntry.3.gz
+	pod2man doc/perlpanel.pod		| gzip -9c > build/perlpanel.1.gz
+	pod2man doc/perlpanel-applet-howto.pod	| gzip -9c > build/perlpanel-applet-howto.1.gz
+	pod2man doc/perlpanel-run-dialog.pod	| gzip -9c > build/perlpanel-run-dialog.1.gz
+	pod2man doc/perlpanel-item-edit.pod	| gzip -9c > build/perlpanel-item-edit.1.gz
+	pod2man lib/PerlPanel/MenuBase.pm	| gzip -9c > build/PerlPanel::MenuBase.3.gz
+	pod2man lib/PerlPanel/DesktopEntry.pm	| gzip -9c > build/PerlPanel::DesktopEntry.3.gz
 
 	@# similarly for other locales as they become available:
 	mkdir -p  build/locale/en/$(LC_CATEGORY)
@@ -93,14 +93,6 @@
 	install -m 0644 build/locale/en/$(LC_CATEGORY)/perlpanel.mo $(DESTDIR)/$(LOCALEDIR)/en/$(LC_CATEGORY)/
 	install -m 0644 build/locale/de/$(LC_CATEGORY)/perlpanel.mo $(DESTDIR)/$(LOCALEDIR)/de/$(LC_CATEGORY)/
 
-	@echo Installing default rcfile:
-	@if [ -e $(DESTDIR)/$(CONFDIR)/perlpanelrc ] ; then \
-		echo Note: old $(DESTDIR)/$(CONFDIR)/perlpanelrc has not been overwritten, default has been installed to $(DESTDIR)/$(CONFDIR)/perlpanelrc.default.; \
-		install -m 0644 build/perlpanelrc	$(DESTDIR)/$(CONFDIR)/perlpanelrc.default; \
-	else \
-		install -m 0644 build/perlpanelrc	$(DESTDIR)/$(CONFDIR)/; \
-	fi
-
 clean:
 	rm -rf build PerlPanel.spec

=== debian/changelog ===
perlpanel (1:0.9.1+cvs20051225-3) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group. (see #858395)
  * Call dh_icons. (Closes: #479990)
  * Apply changes from Jari Aalto: (Closes: #670713)
    - Remove deprecated dpatch and upgrade to packaging format "3.0 quilt".
    - Update to Standards-Version to 3.9.3.
    - Add build-arch and build-indep targets; use dh_prep in rules file.
    - Update patches with "quilt refresh" to make them apply cleanly.
  * Apply patch from Chris Lamb to make the build reproducible.
    (Closes: #777444)

 -- Adrian Bunk <bunk@debian.org>  Mon, 26 Jun 2017 07:43:01 +0300

perlpanel (1:0.9.1+cvs20051225-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Raise debhelper compat to 9. Closes: #817616

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Wed, 02 Nov 2016 22:47:57 +0100

perlpanel (1:0.9.1+cvs20051225-2) unstable; urgency=low

  * Makefile: 
    + Use $(CURDIR) instead of $(PWD) (Closes: #399381)
    + Fix /usr/share/perlpanel/glade to have 755 permissions
  * debian/control:
    + build-dep on liblocale-gettext-perl. (Closes: #467334)
    + recommend libaudio-xmmsclient-perl instead of libxmms-perl (Closes:
      #473839)
    + Bump Standards-Version
  * debian/rules:
    + Don't ignore make clean errors

 -- Marc 'HE' Brockschmidt <he@debian.org>  Sat, 05 Apr 2008 15:44:03 +0200

perlpanel (1:0.9.1+cvs20051225-1) unstable; urgency=low

  * CVS snapshot:
    + Remove some local patches that were applied upstream:
      - debian/patches/23_graphical_load_monitor.dpatch
      - debian/patches/22_hide_empty_notification_area.dpatch
    + Makes it possible to user terminals other than gnome-terminal in the
      Shell Manager applet. Patch from Patrick Jaeger, thanks! (Closes:
      #309434)
    + Fixed german localisation upstream, partially with a patch from
      Jens Seidel. Thanks! (Closes: #313812)

  * debian/control:
    + Bumped Standards-Version to 3.6.2 (no changes needed)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Sun, 25 Dec 2005 16:19:42 +0100

perlpanel (1:0.9.1-1+patch2) UNRELEASED; urgency=low

  * debian/patches/23_graphical_load_monitor.dpatch: Add graphical load monitor

 -- Marc 'HE' Brockschmidt <he@debian.org>  Sun,  1 May 2005 00:03:23 +0200

perlpanel (1:0.9.1-1+patch1) UNRELEASED; urgency=low

  * debian/patches/22_hide_empty_notification_area.dpatch: Hide Notification
    area if not needed and configured to do so.

 -- Marc 'HE' Brockschmidt <he@debian.org>  Sat, 23 Apr 2005 19:46:42 +0200

perlpanel (1:0.9.1-1) unstable; urgency=low

  * New stable upstream release:
    + Adds a button to delete events from the Calendar Applet
  * debian/patches:
      - 11_Makefile_fixes.dpatch: Integrated by upstream.
      - 22_XMMS_applet_crash.dpatch: Integrated by upstream.
      - 23_BatteryMonitor_pmu_support.dpatch: Integrated by upstream.
      + 20_fix_deleting_events.dpatch: Fixes a bug with 2 reminders that have
          the same attributes.

 -- Marc 'HE' Brockschmidt <he@debian.org>  Thu, 14 Apr 2005 18:17:01 +0200

perlpanel (1:0.9.0+cvs20050401-2) unstable; urgency=low

  * This is not a native package and I shouldn't plan dinner while doing final
    upload checks. Anyway, reupload as non-native package.

 -- Marc 'HE' Brockschmidt <he@debian.org>  Fri,  1 Apr 2005 20:58:48 +0200

perlpanel (1:0.9.0+cvs20050401-1) unstable; urgency=low

  * New snapshot from the upstream CVS (no release because upstream is busy):
    + New applets: Timer (to set an alarm), Trash, Volume (to regulate the 
      volume) and Webcam (displays a webcam image).
    + Adds a fallback icon if the lookup through the GtkIconTheme doesn't
      work.
    + Removes the Volume button from the XMMS applet.
    + Changes WiFiMonitor's scale, also avoiding log(0). (Closes: #286254)
  * debian/control:
    + Fix typo in description (completly -> completely)
    + Restrucuture dependencies to recommend/suggest everything not in
      the default configuration.
  * debian/patches:
    + Use dpatch-run in the shebang and remove cruft.
    + 21_xterm_to_x-terminal-emulator.dpatch:
        Added to fix the "Run in shell" option of the Commander
    + 23_BatteryMonitor_pmu_support.dpatch:
        Added to provide somewhat hackish PMU support (useful for apple
        laptops). I have an iBook now! :-)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Fri, 01 Apr 2005 14:11:18 +0200

perlpanel (1:0.9.0-3) unstable; urgency=low

  * debian/control: Add hicolor-icon-theme to Depends. Thanks for the bug
    report to Thomas Prokosch (Closes: #293941)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Mon,  7 Feb 2005 18:42:01 +0100

perlpanel (1:0.9.0-2) unstable; urgency=low

  * debian/control:
    + ove cruft from build-depends, add gettext, which is actually needed.
    + Add libdate-manip-perl to Depends, as the Clock applet needs it (and is
      used in the default config).

 -- Marc 'HE' Brockschmidt <he@debian.org>  Thu, 16 Dec 2004 17:44:25 +0100

perlpanel (1:0.9.0-1) unstable; urgency=low

  * New upstream release.
  * debian/patches: 23_Pager_applet_crash.dpatch removed, was taken from the
    0.9.0 CVS branch.

 -- Marc 'HE' Brockschmidt <he@debian.org>  Mon, 13 Dec 2004 21:18:38 +0100

perlpanel (1:0.8.0-2) unstable; urgency=low

  * debian/patches/23_Pager_applet_crash.dpatch:
       New patch to fix crash of the Pager applet, taken from CVS.
  * Added menu file and an XPM icon.

 -- Marc 'HE' Brockschmidt <he@debian.org>  Thu, 21 Oct 2004 23:09:21 +0200

perlpanel (1:0.8.0-1) unstable; urgency=low

  * New upstream release.

 -- Marc 'HE' Brockschmidt <he@debian.org>  Wed, 29 Sep 2004 21:57:24 +0200

perlpanel (1:0.7.0-1) unstable; urgency=low

  * New upstream release.
  * Fix typo in description (Closes: #260621)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Sun, 29 Aug 2004 14:41:03 +0200

perlpanel (1:0.6.0-1) unstable; urgency=low

  * New upstream release.



=== debian/control ===
Source: perlpanel
Section: x11
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 9), gettext, libgtk2-perl, libgtk2-gladexml-perl, libgnome2-wnck-perl, libxml-simple-perl, liblocale-gettext-perl
Standards-Version: 3.9.3

Package: perlpanel
Architecture: all
Depends: ${misc:Depends}, perl (>= 5.8.0), libglib-perl, libgtk2-perl (>= 1:1.042-2), libgtk2.0-0 (>= 2.4), libgnome2-wnck-perl, libxml-simple-perl, libxml-parser-perl, libgtk2-gladexml-perl, liblocale-gettext-perl, libdate-manip-perl, libx11-freedesktop-desktopentry-perl, hicolor-icon-theme
Recommends: libaudio-mixer-perl, libgnome2-vfs-perl, libgtk2-traymanager-perl, liburi-perl, libxmms-perl
Suggests: vorbis-tools, fortune-mod, ssh
Description: lean menu and launcher panel written in Perl and Gtk2
 PerlPanel draws a small taskbar on your screen to display some useful widgets
 like a programs menu, some shortcut icons, a system tray and so on. It's
 similar to the Windows Taskbar, the GNOME Panel, and KDE's Kicker.
 .
 PerlPanel is completely independent of any particular environment. You can
 use it with any window manager, without need for one of the big desktop
 environments.
 .
 You can create your own applets to show and do whatever you need using 
 Perl and the Gtk2 bindings for it. It's no problem to run several PerlPanels
 at the same time.

=== debian/rules ===
#!/usr/bin/make -f

TMP=$(CURDIR)/debian/perlpanel

build-arch: build
build-indep: build

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE) PREFIX=/usr LIBDIR=/usr/share/perlpanel/ GZIP="-9n"
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp
	$(MAKE) clean
	dh_clean

install: install-stamp
install-stamp: build
	dh_testdir
	dh_testroot
	dh_prep
	$(MAKE) install DESTDIR=$(TMP) PREFIX=/usr LIBDIR=/usr/share/perlpanel/
	#Fix b0rken permissions in the upstream tarball:
	find $(TMP)/usr/share/icons/hicolor/48x48/ -name '*png' -exec chmod 644 \{\} \;
	find $(TMP)/usr/share/perlpanel/glade/ -type f -name '*glade' -exec chmod 644 \{\} \;
	find $(TMP)/usr/share/perlpanel/PerlPanel/Applet/ -name '*pm' -exec chmod 644 \{\} \;

	dh_install
	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installchangelogs
	dh_icons
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## perlpanel 4.0.1

=== Makefile ===
# This file is part of PerlPanel.
# 
# PerlPanel is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# PerlPanel is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with PerlPanel; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
#
# Copyright: (C) 2003-2004 Gavin Brown <gavin.brown@uk.com>
#
# $Id: Makefile,v 1.35 2004/04/05 22:02:29 jodrell Exp $

VERSION=0.4.1

PREFIX=/usr/local
LIBDIR=$(PREFIX)/lib/perlpanel
BINDIR=$(PREFIX)/bin
DATADIR=$(PREFIX)/share
MANDIR=$(DATADIR)/man
LOCALEDIR=$(DATADIR)/locale

LC_CATEGORY=LC_MESSAGES

MAN_SECTION=man1
MAN_LIBS_SECTION=man3

#
# NB: $(DESTDIR) is usally empty.
#

all: perlpanel

perlpanel:
	mkdir build

	perl -ne 's!\@PREFIX\@!$(PREFIX)!g ; s!\@LIBDIR\@!$(LIBDIR)!g ; print' < src/perlpanel > build/perlpanel
	perl -ne 's!\@PREFIX\@!$(PREFIX)!g ; s!\@LIBDIR\@!$(LIBDIR)!g ; print' < src/perlpanel-item-edit > build/perlpanel-item-edit
	perl -ne 's!\@PREFIX\@!$(PREFIX)!g ; s!\@LIBDIR\@!$(LIBDIR)!g ; print' < src/perlpanel-run-dialog > build/perlpanel-run-dialog
	perl -ne 's!\@VERSION\@!$(VERSION)!g ; print' < lib/PerlPanel.pm > build/PerlPanel.pm
	pod2man doc/perlpanel.pod > build/perlpanel.1
	pod2man doc/perlpanel-applet-howto.pod > build/perlpanel-applet-howto.1
	pod2man doc/perlpanel-run-dialog.pod > build/perlpanel-run-dialog.1
	pod2man doc/perlpanel-item-edit.pod > build/perlpanel-item-edit.1
	pod2man lib/PerlPanel/MenuBase.pm > build/PerlPanel::MenuBase.1

	# similarly for other locales as they become available:
	mkdir -p  build/locale/en/$(LC_CATEGORY)
	msgfmt -o build/locale/en/$(LC_CATEGORY)/perlpanel.mo src/po/en.po

install:
	mkdir -p	$(DESTDIR)/$(LIBDIR) \
			$(DESTDIR)/$(BINDIR) \
			$(DESTDIR)/$(MANDIR)/$(MAN_SECTION) \
			$(DESTDIR)/$(MANDIR)/$(MAN_LIBS_SECTION) \
			$(DESTDIR)/$(LOCALEDIR)/en/$(LC_CATEGORY)
	cp -Rvp lib/*	$(DESTDIR)/$(LIBDIR)/
	cp -Rvp share/*	$(DESTDIR)/$(DATADIR)/
	install -m 0755 build/perlpanel			$(DESTDIR)/$(BINDIR)/
	install -m 0755 build/perlpanel-item-edit 	$(DESTDIR)/$(BINDIR)/
	install -m 0755 build/perlpanel-run-dialog	$(DESTDIR)/$(BINDIR)/
	install -m 0755 src/perlpaneld			$(DESTDIR)/$(BINDIR)/
	install -m 0644 build/PerlPanel.pm		$(DESTDIR)/$(LIBDIR)/
	install -m 0755 build/perlpanel.1		$(DESTDIR)/$(MANDIR)/$(MAN_SECTION)/
	install -m 0755 build/perlpanel-applet-howto.1	$(DESTDIR)/$(MANDIR)/$(MAN_SECTION)/
	install -m 0755 build/perlpanel-item-edit.1	$(DESTDIR)/$(MANDIR)/$(MAN_SECTION)/
	install -m 0755 build/perlpanel-run-dialog.1	$(DESTDIR)/$(MANDIR)/$(MAN_SECTION)/
	install -m 0755 build/PerlPanel::MenuBase.1	$(DESTDIR)/$(MANDIR)/$(MAN_LIBS_SECTION)/

	# similarly for other locales as they become available:
	install -m 0644 build/locale/en/$(LC_CATEGORY)/perlpanel.mo $(LOCALEDIR)/en/$(LC_CATEGORY)/
clean:
	rm -rf build

uninstall:
	rm -rf	$(BINDIR)/perlpanel \
		$(BINDIR)/perlpaneld \
		$(BINDIR)/perlpanel-item-edit \
		$(BINDIR)/perlpanel-run-dialog \
		$(MANDIR)/$(MAN_SECTION)/perlpanel.1 \
		$(MANDIR)/$(MAN_SECTION)/perlpanel-applet-howto.1 \
		$(MANDIR)/$(MAN_SECTION)/perlpanel-item-edit.1 \
		$(MANDIR)/$(MAN_SECTION)/perlpanel-run-dialog.1 \
		$(MANDIR)/$(MAN_LIBS_SECTION)/PerlPanel::MenuBase.1 \
		$(DATADIR)/perlpanel \
		$(DATADIR)/pixmaps/perlpanel* \
		$(LIBDIR) \
		$(LOCALEDIR)/*/$(LC_CATEGORY)/perlpanel.mo

release:
	./make-rpm $(VERSION)
